summaryrefslogtreecommitdiffstats
path: root/ffmpeg/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-10-06 15:02:12 +0000
committer Eric Hameleers <alien@slackware.com>2007-10-06 15:02:12 +0000
commitd4c541f991f93d1b9d3b178458f234da837298d7 (patch)
tree4a4b410ec3cb4de7eed509ecbbdfbac41dbd4219 /ffmpeg/build
parent3889cb5ffd18970f18c81b4f315717c3ca69d77b (diff)
downloadasb-d4c541f991f93d1b9d3b178458f234da837298d7.tar.gz
asb-d4c541f991f93d1b9d3b178458f234da837298d7.tar.xz
Do not use lame stuff with $USE_PATENTS == "NO"
Diffstat (limited to 'ffmpeg/build')
-rwxr-xr-xffmpeg/build/ffmpeg.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/ffmpeg/build/ffmpeg.SlackBuild b/ffmpeg/build/ffmpeg.SlackBuild
index 5f94efa7..28cb12a6 100755
--- a/ffmpeg/build/ffmpeg.SlackBuild
+++ b/ffmpeg/build/ffmpeg.SlackBuild
@@ -235,7 +235,7 @@ echo "++"
cd $TMP/tmp-$PRGNAM
if [ "$P1" != "--oldbuild" ]; then
echo "Extracting the source archive(s) for $PRGNAM..."
- for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ for (( i = 0; i < ${#SOURCE[*]} - $SKIP ; i++ )) ; do
if `file ${SOURCE[$i]} | grep -q ": bzip2"`; then
tar -xjvf ${SOURCE[$i]}
elif `file ${SOURCE[$i]} | grep -q ": gzip"`; then
@@ -504,15 +504,15 @@ cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
( cd ../faad2-${FAAD2}
cp -a $DOCS_FAAD2 $PKG/usr/doc/$PRGNAM-$VERSION/faad2 || true
)
-( cd ../lame-${LAME}
- cp -a $DOCS_LAME $PKG/usr/doc/$PRGNAM-$VERSION/lame || true
-)
( cd ../x264-${X264}
cp -a $DOCS_X264 $PKG/usr/doc/$PRGNAM-$VERSION/x264 || true
)
( cd ../xvidcore-${XVID}
cp -a $DOCS_XVID $PKG/usr/doc/$PRGNAM-$VERSION/xvidcore || true
)
+[ "${USE_PATENTS}" = "YES" ] && ( cd ../lame-${LAME}
+ cp -a $DOCS_LAME $PKG/usr/doc/$PRGNAM-$VERSION/lame || true
+)
# Compress the man page(s)
if [ -d $PKG/usr/man ]; then